<template>
  <v-row justify="center">
    <v-dialog v-model="dialog" width="30em" persistent>
      <v-card>
        <v-card-title>
          <span class="text-h5">Are you sure to logout?</span>
        </v-card-title>
        <v-card-subtitle>
          {{ user.email }}
        </v-card-subtitle>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn size="small" color="success" @click="logout" variant="elevated">Logout</v-btn>
          <v-btn size="small" @click="dialog = false" variant="elevated">Cancel</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>
import axios from 'axios'

export default {
  name: 'LogoutDialog',
  emits: [ 'hideLogout' ],
  props: [ 'user', 'show' ],
  methods: {
    logout() {
      axios.delete('/auth').then(
        () => {
          this.$emit('hideLogout')
          this.$emit('logoutSuccess')
        }
      ).catch(
        () => {
          this.$emit('hideLogout')
        }
      )
    }
  },
  data() {
    return {}
  },
  computed: {
    dialog: {
      get() { return this.show },
      set() { this.$emit('hideLogout') }
    }
  }
}
</script>